Altimax\Apidae\Core\Entity\SitraPeriodeOuverture:
    type: entity
    table: sitra_periode_ouverture
    indexes:
        objet_id:
            columns:
                - objet_id
    id:
        id:
            type: integer
            nullable: false
            unsigned: false
            comment: ''
            id: true
            generator:
                strategy: IDENTITY
    fields:
        identifiant:
            type: integer
            nullable: true
            comment: 'identifiant sitra de la periode'
            column: identifiant
        dateDebut:
            type: date
            nullable: false
            comment: ''
            column: date_debut
        dateFin:
            type: date
            nullable: false
            comment: ''
            column: date_fin
        nom:
            type: string
            nullable: true
            length: 255
            fixed: false
            comment: ''
        complementHoraire:
            type: text
            nullable: true
            length: null
            fixed: false
            comment: ''
            column: complement_horaire
        horaireOuverture:
            type: time
            nullable: false
            comment: ''
            default: '00:00:00'
            column: horaire_ouverture
        horaireFermeture:
            type: time
            nullable: false
            comment: ''
            default: '23:59:59'
            column: horaire_fermeture
        typePeriodeOuverture:
            type: string
            nullable: false
            length: 25
            fixed: false
            comment: ''
            column: type_periode_ouverture
        tousLesAns:
            type: boolean
            nullable: true
            comment: ''  
            column: tous_les_ans
        ouverturesJournalieres:
            type: text
            nullable: true
            length: null
            fixed: false
            comment: 'pour serialization'
            column: ouvertures_journalieres
        identifiantTechnique:
            type: integer
            nullable: true
            comment: 'identifiant technique de la periode'
            column: identifiantTechnique
    manyToOne:
        objet:
            targetEntity: Altimax\Apidae\Core\Entity\SitraObjet
            cascade: [ "persist", "remove" ]
            mappedBy: null
            inversedBy: periodeOuverture
            joinColumns:
                objet_id:
                    referencedColumnName: id
                    onDelete: CASCADE
            orphanRemoval: false
    oneToMany:
        dateOuverture:
            targetEntity: Altimax\Apidae\Core\Entity\SitraDateOuverture
            cascade: [ "persist", "remove" ]
            mappedBy: periodeOuverture
    lifecycleCallbacks: {  }
